# Class SkyMatch2

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.MapperTask
uk.ac.starlink.ttools.task.SkyMatch2

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class SkyMatch2 extends MapperTask
Task implementation for simplified sky matching task.

Since:
  2 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyMatch2()`

## Method Summary

Modifier and Type
Method
Description
`SkyMatch2Mapper`
`getMapper()`
Returns this task's Mapper object.

### Methods inherited from class MapperTask

`createProducer, getTablesInput`

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyMatch2

public SkyMatch2()

## Method Details

### getMapper

public SkyMatch2Mapper getMapper()
Description copied from class: `MapperTask`
Returns this task's Mapper object.

Overrides:
  `getMapper` in class `MapperTask`
Returns:
  mapper